Page MenuHomePhabricator

Create an LDAP replica in codfw (using LVS)
Closed, ResolvedPublic

Description

Similar setup as ldap-eqiad-replica*, to be used to replace serpens.wikimedia.org for service authentication not needing writes to LDAP.

Event Timeline

MoritzMuehlenhoff triaged this task as Normal priority.Jul 11 2019, 2:12 PM
MoritzMuehlenhoff created this task.

Change 522383 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/dns@master] Rename DNS entries for LDAP replicas in codfw to be more in line with our server naming policies

https://gerrit.wikimedia.org/r/522383

Change 522383 merged by Muehlenhoff:
[operations/dns@master] Rename DNS entries for LDAP replicas in codfw to be more in line with our server naming policies

https://gerrit.wikimedia.org/r/522383

Change 522498 had a related patch set uploaded (by Muehlenhoff; owner: Muehlenhoff):
[operations/puppet@production] Adapt netboot.cfg/DHCP to new names of LDAP replicas in codfw

https://gerrit.wikimedia.org/r/522498

Change 522498 merged by Muehlenhoff:
[operations/puppet@production] Adapt netboot.cfg/DHCP to new names of LDAP replicas in codfw

https://gerrit.wikimedia.org/r/522498

Mentioned in SAL (#wikimedia-operations) [2019-07-15T10:52:12Z] <moritzm> installing ldap-replica200[12] (T227778)

Mentioned in SAL (#wikimedia-operations) [2019-07-15T12:10:57Z] <moritzm> installing ldap-replica200[12] (T227778)

Mentioned in SAL (#wikimedia-operations) [2019-07-17T14:35:06Z] <moritzm> restart pybal on lvs2002 (codfw primary) T227778

MoritzMuehlenhoff closed this task as Resolved.Tue, Aug 6, 6:52 AM

This is completed and all services not requiring writes have been switched over.